Subject: Re: branch.pu.forcefetch

From: Jakub Narebski <[email-masked]>
Date: Wed, 27 Dec 2006 22:20:36 +0100

Junio C Hamano wrote:

> Pavel Roskin <[email-masked]> writes:
> 
>> For example, I clone the git repository anew, and I try to update it by
>> git-fetch a few days later.  I get an error:
>>
>> * refs/remotes/origin/pu: not updating to non-fast forward branch 'pu'
>> of git://www.kernel.org/pub/scm/git/git
> 
> Perhaps you would want something like this?
> 
> if you are using separate remote layout:
> 
> [remote "origin"]
>       fetch = +refs/heads/pu:refs/remotes/origin/pu
>       fetch = refs/heads/*:refs/remotes/origin/*

By the way, does the ordering matter here, i.e. does it matter if 'pu' fetch
line is before or after wildcards line?

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git